RDKit::MolAlign::MolAlignException Class Reference

`#include <AlignMolecules.h>`

Inheritance diagram for RDKit::MolAlign::MolAlignException:

## Public Member Functions

| MolAlignException (const char *msg)
| construct with an error message More...
| MolAlignException (const std::string msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~MolAlignException () throw ()

## Detailed Description

Definition at line 23 of file AlignMolecules.h.

## Constructor & Destructor Documentation

## MolAlignException() [1/2]

RDKit::MolAlign::MolAlignException::MolAlignException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 26 of file AlignMolecules.h.

## MolAlignException() [2/2]

RDKit::MolAlign::MolAlignException::MolAlignException | ( | const std::string | msg | ) |

inline

construct with an error message

Definition at line 28 of file AlignMolecules.h.

## ~MolAlignException()

RDKit::MolAlign::MolAlignException::~MolAlignException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 31 of file AlignMolecules.h.

References RDKit::MolAlign::alignMol(), RDKit::MolAlign::alignMolConformers(), RDKit::MolAlign::getAlignmentTransform(), and RDKit::MolAlign::reflect().

## Member Function Documentation

## message()

const char* RDKit::MolAlign::MolAlignException::message | ( |  | ) | const

inline

get the error message

Definition at line 30 of file AlignMolecules.h.

The documentation for this class was generated from the following file:

- AlignMolecules.h